﻿Type=Class
Version=3.5
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private ActMod As Object
	Private Act As activity
	Dim store As KeyValueStore
	
	Dim spLang As Spinner
	Dim lblSettingsUser,lblName,lblNotification, lblSettingsCheck,lblSettingsCheckaTid,lblSettingsDefaultAO,lblDefaultAO As Label
	Dim btnCompany,btnUser,btnPass,btnActivate As Button
	Dim chkSettingsAutocheck, chkNotification, chkMessages, chkBreakMidnight As CheckBox
	Dim txtSettingsUser, txtSettingsUtcheckningstid As EditText
	
	'Localized.   (http://www.basic4ppc.com/android/forum/threads/ahlocale-library.7561/)
	Dim locale As AHLocale
	Dim trans As AHTranslator
	'Dim dt As AHDateTime
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(ActivityModule As Object, Activ As Activity, ID As Int)
	ActMod = ActivityModule
	Act = Activ
	store = Main.store
	locale=Main.locale
	trans=Main.trans
	
'	Dim r As Reflector
	If Act.Width > Act.Height Then
		Act.RemoveAllViews
		Act.LoadLayout("settings2")
	Else
		Act.RemoveAllViews
		Act.LoadLayout("settings2")
	End If
	store.PutSimple("Layout","ClsSettings")
	CallSub(Main,"ActivityLowerBar")
	
	'Demo-mode
	If store.GetSimple("user") = "DEMO" Then
		btnActivate.Visible=True
		btnUser.Enabled=False
	Else
		btnActivate.Visible=False
		btnUser.Enabled=True
	End If
	
	'Fill spinner with all available locales
	Dim index As Int
	spLang.Prompt = trans.GetText("Select Language")
	spLang.Clear
	For i = 0 To locale.AvailableLocales.Size - 1
		Dim myLocale As AHLocale
		myLocale = locale.AvailableLocales.Get(i)
		
		spLang.Add(myLocale.ISOCode & " : " & myLocale.EnglishLanguage & " / " & myLocale.EnglishCountry)
		If myLocale.ISOCode = locale.ISOCode Then
			index = i
		End If
	Next
	spLang.SelectedIndex = index
	
	SetGUILanguage
	
'	For Each V As View In Act
'		
'		If V Is Button Then
'			r.Target = V
'			r.SetOnClickListener("ClsHistory_Click")
'		End If
'	Next
End Sub

Sub SetGUILanguage
	lblSettingsUser.Text=trans.GetText("User")
		lblName.Text="(namn)"
	lblNotification.Text=trans.GetText("Messaging")
	lblSettingsCheck.Text=trans.GetText("Registering")
	lblSettingsCheckaTid.Text=trans.GetText("Autochecking")
	lblSettingsDefaultAO.Text=trans.GetText("Default WO")
		lblDefaultAO.Text="(AO)"
	btnUser.Text = store.GetSimple("user")
	btnCompany.Text=trans.GetText("Company")
		btnUser.Text="(User)"
	btnPass.Text=trans.GetText("Change pw")
	btnActivate.Text=trans.GetText("Activate")
	
End Sub

Sub spLang_ItemClick (Position As Int, Value As Object)
	locale = (locale.AvailableLocales.Get(Position))
	trans.Initialize2(File.DirAssets, "Localtext", locale.Language)
	SetGUILanguage
	'RefreshActivity
	CallSub(Main, "ActivityGUItranslate")
	CallSub(Main, "ActivityOnlyTitle")
End Sub

'''Sub LoadSettings
'''	'Ladda från Main.store
'''	
''''	If store.ContainsKey("user") Then 
''''		If store.GetSimple("user") = "DEMO" Then
''''			btnUser.Enabled=False
''''		End If
''''		btnUser.Text = store.GetSimple("user")
''''	End If
'''	If store.ContainsKey("Name") Then lblName.Text = store.GetSimple("Name")
'''	'If store.ContainsKey("pass") Then txtSettingsPassw.text = store.GetSimple("pass")
'''	If store.ContainsKey("DefaultAO") Then lblDefaultAO.Text=store.GetSimple("DefaultAO")
'''	If store.ContainsKey("AutoCheckB") Then
'''		If store.GetSimple("AutoCheckB") = "ON" Then
'''			chkSettingsAutocheck.Checked = True
'''			txtSettingsUtcheckningstid.Text = store.GetSimple("AutoCheckTime")
'''			lblSettingsCheckaTid.Enabled=True
'''			lblSettingsDefaultAO.Enabled=True
'''			txtSettingsUtcheckningstid.Enabled=True
'''			lblDefaultAO.Enabled=True
'''		Else
'''			chkSettingsAutocheck.Checked = False
'''			lblSettingsCheckaTid.Enabled=False
'''			lblSettingsDefaultAO.Enabled=False
'''			txtSettingsUtcheckningstid.Enabled=False
'''			lblDefaultAO.Enabled=False
'''		End If
'''	End If
'''	If store.ContainsKey("Notif") Then
'''		If store.GetSimple("Notif") = "ON" Then
'''			chkNotification.Checked = True
'''		Else 
'''			chkNotification.Checked = False
'''		End If
'''	End If
'''	If store.ContainsKey("Mess") Then
'''		If store.GetSimple("Mess") = "ON" Then
'''			chkMessages.Checked = True
'''		Else 
'''			chkMessages.Checked = False
'''		End If
'''	End If
'''	If store.ContainsKey("Widget") Then
'''		If store.GetSimple("Widget") = "ON" Then
'''			chkMessages.Checked = True
'''		Else 
'''			chkMessages.Checked = False
'''		End If
'''	End If
'''			
'''End Sub
'''
''''**************************************************************************************
'''
'''